@import url('https://fonts.googleapis.com/css2?family=Fustat:wght@200..800&family=Kaisei+Opti&family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}

/*Variables*/
:root {
  --color-primary: #162F53;
  --color-secondary: #C99E66;
  --color-background: #ffffff;

  --font-primary: 'Kaisei Opti', serif;
  --font-secondary: 'PT Serif', serif;
  --font-text: 'Fustat', serif;
  
  --padding-section: 4rem;

  --text-size-mobile: 18px;
  --text-size-desktop: 20px; 

  --subtitle-size-mobile: 24px;
  --subtitle-size-desktop: 32px;

  --title-size-mobile: 32px;
  --title-size-desktop: 48px;

  --gap-mobile: 1.5rem;
  --gap-desktop: 2.5rem;

  --padding-mobile: 1rem;
  --padding-desktop: 8rem;
}

/*All Pages*/
body {
  font-family: var(--font-text);
  background-color: var(--color-background);
  color: var(--color-primary);
}

html{
  scroll-behavior: smooth;
}

/*Header*/
header {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  font-family: var(--font-secondary);
  position: fixed;
  top: 0;
  z-index: 1000;
  max-height: 60px;
  overflow: hidden;
  transition: max-height 0.3s ease;
  width: 100%;
  background-color: var(--color-background);
}

header a{
  font-size: var(--text-size-mobile);
  text-decoration: none;
  color: var(--color-primary);
  font-weight: 600;
}

.header{
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 8px 0px;
}

.logo-header {
  height: 40px;
  margin-left: var(--padding-mobile);
}

.header-links {
  display: none;
}

.header-menu {
  all: unset;
  cursor: pointer;
  display: block;
  margin-right: var(--padding-mobile);
  padding: 5px;
}

.menu-mobile {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
  text-align: center;
  margin-bottom: 10px;
}
.menu-mobile a{
  border-top: 1px solid;
  border-image: linear-gradient(
    to right,
    transparent,
    var(--color-primary),
    var(--color-primary),
    transparent
  ) 1;
  padding-top: 10px;
}

/* styles for tablet */
@media (min-width: 767px) {
  header{ 
    width: 100%;
    max-height: 70px;
  }

  .header-links {
    display: flex;
    gap: var(--gap-mobile);
    margin-right: var(--padding-mobile);
    padding-bottom: 5px;
  }

  .header-menu {
    display: none;
  }

  .menu-mobile {
    display: none;
  }

  .logo-header {
    height: 50px;
  }
}

/* styles for desktop */
@media (min-width: 1024px) {
  header a{
    font-size: var(--text-size-desktop);
  }
  .header-links {
    gap: var(--gap-desktop);
    margin-right: var(--padding-desktop);
  }
  .logo-header {
    margin-left: var(--padding-desktop);
  }
}

/*Whatsapp Button*/

#whatsapp .wtsapp:focus {border: 0; outline: 0;}

#whatsapp .wtsapp {
    position: fixed;
    transition: all .5s ease;
    background: #25d366;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
    border-radius: 50px;
    font-size: 18px;
    bottom: 80px;
    right: var(--padding-mobile);
    border: 0;
    z-index: 999;
    width: 55px;
    height: 55px;
    line-height: 48px;
}

#whatsapp .wtsapp:before {
    content: "";
    position: absolute;
    z-index: -1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 60px;
    height: 60px;
    background: #25d366;
    border-radius: 50%;
    -webkit-animation: pulse-border 1500ms ease-out infinite;
    animation: pulse-border 1500ms ease-out infinite;
}

@keyframes pulse-border {
  0% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
    opacity: 1;
  }
  100% {
    transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1.5);
    opacity: 0;
  }
}

/* styles for desktop */
@media (min-width: 1024px) {
  #whatsapp .wtsapp {
    right: var(--padding-desktop);
    bottom: 60px;
  }
}

/*Hero Section*/

#Home {
  background-image: url("assets/Hero-bg.webp");
  background-repeat: no-repeat;
  background-position: 19% 0%;
  background-size: cover;
  background-attachment: fixed;
  overflow-x: hidden;

  display: flex;
  padding: 0px var(--padding-mobile);
  justify-content: center;
  flex-direction: column;
  height: 100vh;

}

#Home h1 {
  font-family: var(--font-primary);
  color: var(--color-secondary);
  font-size: 44px;
}
#Home h2 {
  font-family: var(--font-secondary);
  color: var(--color-background);
  font-weight: 400;
  font-size: 28px;
}
#Home p {
  font-family: var(--font-text);
  color: var(--color-background);
  font-size: var(--text-size-mobile);

}

@media (min-width: 767px){
  #Home{
    padding: 0px;
    align-items: center;
  }
  #Home h1{
    font-size: 60px;
  }
  #Home h2 {
    font-size: 36px;
  }
}

@media (min-width: 1024px){
  #Home{
    background-position: 10% 10%;
  }
  #Home h1 {
    font-size: 88px;
  }
  #Home h2 {
    font-size: 56px;
  }
  #Home p {
    font-size: var(--text-size-desktop);
  }
}

/*Accordion Section*/

.questions {
  padding: 0px var(--padding-mobile);
  padding-top: var(--gap-mobile);
}

.question .content {
  display: flex;
  gap: 12px;
  justify-content: center;

  font-size: 18px;
  font-family: var(--font-secondary);
  border-bottom: 2px solid var(--color-primary) ;
  padding: 8px 0px;
}

.question span{
  color: var(--color-secondary);
}

.question button {
  all: unset;
  cursor: pointer;
  padding: 0px;
  margin: 0px;
}

.question button img {
  height: 20px;
}

.response {
  background-color: var(--color-primary);
  color: var(--color-background);
  height: 0px;/*auto*/
  overflow: hidden;
  padding: 0px;/*5px*/
  transition: height 0.3s ease, padding 0.3s ease;
}

@media (min-width: 767px){
  .question .content {
    font-size: 20px;
  }
  .response {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
  }
  .response p {
    width: 70%;
  }
}

@media (min-width: 1024px) {
  .question .content {
    font-size: var(--text-size-desktop);
  }
  .response p {
    width: 60%;
    font-size: var(--text-size-desktop);
  }
  .questions {
    padding: 0px var(--padding-desktop);
    padding-top: var(--gap-desktop);
  }

}

/* Services Section */

.services {
  padding: var(--padding-section) var(--padding-mobile);
}

.section-title {
  text-align: center;
  margin-bottom: 2rem;
}

.section-title h2 {
  font-family: var(--font-primary);
  font-size: var(--title-size-mobile);
  color: var(--color-secondary);
}

.section-title p {
  font-family: var(--font-secondary);
  font-size: var(--subtitle-size-mobile);
  color: var(--color-primary);
}

.services-grid {
  display: grid;
  gap: 1rem;
}

.service-card {
  background: white;
  padding: 1.5rem;
  border-left: 4px solid var(--color-secondary);
  border-radius: 8px;
  box-shadow: 0 8px 20px rgba(0,0,0,0.05);
}

.service-card h3 {
  font-family: var(--font-secondary);
  font-size: 22px;
  margin-bottom: 10px;
  color: var(--color-primary);
}

.service-card p {
  line-height: 1.6;
}

.services-cta {
  margin-top: 2rem;
  background: var(--color-primary);
  color: white;
  padding: 2rem;
  border-radius: 10px;
  text-align: center;
}

.services-cta p {
  margin-bottom: 1rem;
  line-height: 1.6;
}

.services-cta a {
  display: inline-block;
  background: var(--color-secondary);
  color: white;
  text-decoration: none;
  padding: 12px 24px;
  border-radius: 6px;
  font-weight: bold;
}

/* tablet */
@media (min-width: 767px) {
  .services-grid {
    grid-template-columns: 1fr 1fr;
  }
}

/* desktop */
@media (min-width: 1024px) {
  .services {
    padding: var(--padding-section) var(--padding-desktop);
  }

  .section-title h2 {
    font-size: var(--title-size-desktop);
  }

  .section-title p {
    font-size: var(--subtitle-size-desktop);
  }

  .services-grid {
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
  }
  .services-cta p{
    width: 60%;
    margin: auto;
    margin-bottom: 10px;
  }
}

/*About Section*/

.about {
  padding: var(--padding-section) var(--padding-mobile);
  background: var(--color-background);
}

.about-content {
  display: grid;
  gap: 2rem;
}

.about-text {
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.about-text p {
  line-height: 1.8;
  font-size: var(--text-size-mobile);
}

.about-stats {
  display: grid;
  gap: 1rem;
}

.stat-card {
  background: var(--color-primary);
  border-radius: 10px;
  padding: 1.5rem;
  text-align: center;
  border: 1px solid rgba(0,0,0,0.05);
}

.stat-card strong {
  display: block;
  font-size: 2rem;
  font-family: var(--font-primary);
  color: var(--color-secondary);
  margin-bottom: .5rem;
}

.stat-card span {
  color: var(--color-background);
  font-weight: 600;
}

/* tablet */
@media (min-width: 767px) {
  .about-stats {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* desktop */
@media (min-width: 1024px) {
  .about {
    padding: var(--padding-section) var(--padding-desktop);
  }

  .about-content {
    grid-template-columns: 1.3fr 1fr;
    align-items: center;
    gap: 4rem;
  }

  .about-text p {
    font-size: var(--text-size-desktop);
  }

  .stat-card strong {
    font-size: 2.4rem;
  }
}

/* Testimonials */

.testimonials {
  padding: var(--padding-section) 0;
  overflow: hidden;
}

.testimonials .section-title {
  padding: 0 var(--padding-mobile);
}

.testimonials-track {
  display: flex;
  gap: 1rem;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  scroll-padding-left: var(--padding-mobile);
  padding: 0 var(--padding-mobile);
  padding-bottom: .5rem;

  scrollbar-width: none;
}

.testimonials-track::-webkit-scrollbar {
  display: none;
}

.testimonial-card {
  flex: 0 0 66%;
  scroll-snap-align: start;
  background: white;
  border-radius: 12px;
  padding: 1.5rem;
  min-height: 240px;

  display: flex;
  flex-direction: column;
  justify-content: space-between;

  box-shadow: 0 8px 20px rgba(0,0,0,.05);
}

.testimonial-card p {
  line-height: 1.7;
  margin-bottom: 1rem;
}

.testimonial-card strong {
  color: var(--color-secondary);
  font-family: var(--font-secondary);
  font-size: 18px;
}

/* tablet */
@media (min-width: 767px) {
  .testimonials .section-title {
    padding: 0 var(--padding-mobile);
  }

  .testimonial-card {
    flex: 0 0 38%;
    min-height: 260px;
  }
}

/* desktop */
@media (min-width: 1024px) {
  .testimonials .section-title {
    padding: 0 var(--padding-desktop);
  }

  .testimonials-track {
    margin: 0px var(--padding-desktop);
    scrollbar-width: thin;
    gap: 1.5rem;
    padding: 0 var(--padding-desktop);
    scroll-padding-left: var(--padding-desktop);
  }

  .testimonial-card {
    flex: 0 0 38%;
    padding: 2rem;
  }

  .testimonial-card p {
    font-size: var(--text-size-desktop);
  }

  .testimonial-card strong {
    font-size: 20px;
  }

  .testimonials-track::-webkit-scrollbar {
    display: block;
    height: 8px;
  }

}

/* Contact */

.contact {
  padding: var(--padding-section) var(--padding-mobile);
  background: var(--color-background);
}

.contact-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2rem;
}

.contact-text {
  text-align: center;
}

.contact-text p {
  line-height: 1.8;
  font-size: var(--text-size-mobile);
  margin-bottom: 1.5rem;
}

.contact-btn {
  display: inline-block;
  text-decoration: none;
  background: var(--color-primary);
  color: white;
  padding: 14px 26px;
  border-radius: 8px;
  font-weight: 600;
  transition: .3s ease;
}

.contact-btn:hover {
  transform: translateY(-2px);
}

.contact-brand {
  display: flex;
  justify-content: center;
  align-items: center;
}

.contact-brand img {
  width: 220px;
  max-width: 100%;
}

/* Footer */

.footer {
  background: var(--color-primary);
  color: white;
  text-align: center;
  padding: 1.2rem var(--padding-mobile);
}

.footer p {
  font-size: 14px;
  line-height: 1.7;
}

/* tablet */
@media (min-width: 767px) {
  .contact-brand img {
    width: 260px;
  }
  .contact-text p{
    margin: auto;
    margin-bottom: 10px;
    width: 60%;
  }
}

/* desktop */
@media (min-width: 1024px) {

  .contact {
    padding: var(--padding-section) var(--padding-desktop);
  }

  .contact-text p {
    font-size: var(--text-size-desktop);
  }

  .contact-brand img {
    width: 320px;
  }

  .footer {
    padding: 1.4rem var(--padding-desktop);
  }

  .footer p {
    font-size: 15px;
  }
}